module NpbApi
  module Stats
    class Hitting < Base
      def self.url_key
        'b'
      end

      def player
        @row.children[2].children.text
      end

      def games
        @row.children[4].text.to_i
      end

      def total_plate_appearances
        @row.children[5].text.to_i
      end

      def at_bats
        @row.children[6].text.to_i
      end

      def runs
        @row.children[7].text.to_i
      end

      def hits
        @row.children[8].text.to_i
      end

      def double
        @row.children[9].text.to_i
      end

      def triple
        @row.children[10].text.to_i
      end

      def home_runs
        @row.children[11].text.to_i
      end

      def total_bases
        @row.children[13].text.to_i
      end

      def runs_batted_in
        @row.children[14].text.to_i
      end

      def stolen_bases
        @row.children[15].text.to_i
      end

      def caught_stealing
        @row.children[16].text.to_i
      end

      def sacrifice_hits
        @row.children[17].text.to_i
      end

      def sacrifice_flies
        @row.children[18].text.to_i
      end

      def bases_on_balls
        @row.children[19].text.to_i
      end

      def intentional_bases_on_balls
        @row.children[21].text.to_i
      end

      def hit_by_pitch
        @row.children[22].text.to_i
      end

      def strikeouts
        @row.children[23].text.to_i
      end

      def grounded_into_double_play
        @row.children[24].text.to_i
      end

      def batting_average
        @row.children[25].text.to_f
      end

      def slugging_percentage
        @row.children[26].text.to_f
      end

      def on_base_percentage
        @row.children[27].text.to_f
      end

      def on_base_plus_slugging
        slugging_percentage + on_base_percentage
      end
    end
  end
end
